return {
  {
    "nvim-treesitter/nvim-treesitter",
    build = ":TSUpdate",
    config = function()
      local config = require("nvim-treesitter.configs")
      config.setup({
        ensure_installed = {
          "bash", -- For bash code blocks
          "html", -- For HTML code blocks
          "sql", -- For SQL code blocks
          "dockerfile", -- For Docker code blocks
        },
        auto_install = true,
        highlight = { enable = true },
        indent = { enable = true },
      })
    end,
  },
}
